summaryrefslogtreecommitdiffstats
path: root/deps/qtav/qtav.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/qtav/qtav.SlackBuild')
-rwxr-xr-xdeps/qtav/qtav.SlackBuild24
1 files changed, 17 insertions, 7 deletions
diff --git a/deps/qtav/qtav.SlackBuild b/deps/qtav/qtav.SlackBuild
index f5138ca..7fc9398 100755
--- a/deps/qtav/qtav.SlackBuild
+++ b/deps/qtav/qtav.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2017, 2019 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -24,13 +24,15 @@
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=qtav
SRCNAM=QtAV
-VERSION=${VERSION:-1.12.0}
+VERSION=${VERSION:-1.13.0}
BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:-" -j4 "}
-CWD=$(pwd)
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -45,12 +47,20 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
@@ -76,7 +86,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
# Fix bogus permissions: